<!-- <div class="row">
  <div class="col-md-12 header white-text text-center">
    <p class="p-10 f-20">Payslip Management</p>
  </div>  
</div> -->
<nav class="navbar navbar-expand-lg navbar-dark">
  <a class="navbar-brand" routerLink="/"><img class="img-fluid" src="assets/img/logo.png" alt=""></a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">

    <ul class="navbar-nav mr-auto">
      <ng-container *ngFor="let menuItem of menuItems">
        <ng-container *ngIf="menuItem.hidden !== true">
          <li class="nav-item">
            <a class="nav-link" *ngIf="menuItem.type === 'route'" [routerLink]="menuItem.link" routerLinkActive="active">{{menuItem.label}}</a>
            <a class="nav-link" *ngIf="menuItem.type === 'link'" [href]="menuItem.link">{{menuItem.label}}</a>
          </li>
        </ng-container>
      </ng-container>
    </ul>
    <ul class="navbar-nav ml-auto" *ngIf="isAuthenticated === true">
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['/landing']" routerLinkActive="router-link-active" (click)="logout()">Logout</a>
      </li>
    </ul>
    <!-- <ul class="navbar-nav ml-auto" *ngIf="isAuthenticated === false">
      <li class="nav-item">
        <a class="nav-link" routerLink="login">Login</a>
      </li>
    </ul> -->
  </div>
</nav>